#version 430 core

in VertexData {
	vec3 position_world;
	vec3 normal_world;
} vert;


out vec4 color;

uniform vec3 camera_world;
uniform samplerCube skybox;

void main() {
    vec3 I = normalize(vert.position_world - camera_world);
    vec3 R = reflect(I, normalize(vert.normal_world));
    color = vec4(texture(skybox, R).rgb, 1.0);
}