#version 430 core

in VertexData {
	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;

layout (location = 0) out vec4 color;
layout (location = 1) out vec4 brightThreshold;

uniform vec3 light_color;

void main() {	
	color = vec4(light_color, 1.0);
	float brightness = dot(color.rgb, vec3(0.2126, 0.7152, 0.0722));
	//float brightness = dot(color.rgb, vec3(0.0, 0.0, 0.0));
	if(brightness > 1.0){
        	brightThreshold = vec4(color.rgb, 1.0);
		} else {
			brightThreshold = vec4(0.0, 0.0, 0.0, 1.0);
	}
}	

