#version 430 core

out vec3 UV;

in vec3 position;

uniform mat4 viewProjMatrix;


void main() {
    vec4 pos = viewProjMatrix * vec4(position, 1.0f);
    gl_Position = vec4(pos.x, pos.y, pos.w, pos.w);
    UV = vec3(position.x, position.y, -position.z);
}