#version 430 core

layout (location = 0) in vec4 vertex; //xy: pos, zw: texture
out vec2 tCoordinates;

uniform mat4 projectionMatrix;

void main(){
	gl_Position =  projectionMatrix * vec4(vertex.xy, 0.0, 1.0);
	tCoordinates = vertex.zw;
}